Sidtha
Aerospace
- Nov 25, 2012
- 32
Hello All,
Could you help me to Delete Useless elements from Geometrical sets in Catia using vba.
Here is my code which is double clicking on above part but need to double click on highlighted part and then click on Tools >> Delete unused elements
If (Mid(MyCurrPN, 18, 4) = "-BGE" Or Mid(MyCurrPN, 19, 4) = "-BGE") And (Left(MyCurrPN, 4) = "D928" Or Left(MyCurrPN, 4) = "E928") Then
Set oSelection = MyCATIA.ActiveDocument.Selection
oSelection.Search "(name:'" & MyCurrInstanceName & "'),all"
AppActivate ("CATIA V5")
SendKeys "c:" & "FrmActivate" & Chr(13), True
End If
BR
Siddu
Could you help me to Delete Useless elements from Geometrical sets in Catia using vba.
Here is my code which is double clicking on above part but need to double click on highlighted part and then click on Tools >> Delete unused elements
If (Mid(MyCurrPN, 18, 4) = "-BGE" Or Mid(MyCurrPN, 19, 4) = "-BGE") And (Left(MyCurrPN, 4) = "D928" Or Left(MyCurrPN, 4) = "E928") Then
Set oSelection = MyCATIA.ActiveDocument.Selection
oSelection.Search "(name:'" & MyCurrInstanceName & "'),all"
AppActivate ("CATIA V5")
SendKeys "c:" & "FrmActivate" & Chr(13), True
End If
BR
Siddu